Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Will EMC ever become a package in portage??
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
tinkerman
n00b
n00b


Joined: 21 Sep 2006
Posts: 14

PostPosted: Wed Oct 25, 2006 8:23 pm    Post subject: Will EMC ever become a package in portage?? Reply with quote

EMC (Enhanced Machine Controller) is a linux cnc program that seems to be well developed, check it out at www.linuxcnc.org. I would like to give this program a try in the future but I see that it is not yet in portage. I would rather stick with gentoo than to put together another system just to run linuxcnc-EMC, if you can't tell I really like Gentoo :). So I was woundering if any developers where thinking about adding this package to portage in the near future??
Back to top
View user's profile Send private message
Telemin
l33t
l33t


Joined: 25 Aug 2005
Posts: 734
Location: Glasgow, UK

PostPosted: Wed Oct 25, 2006 9:51 pm    Post subject: Reply with quote

You could write your own ebuild....

Try it and add it to your portage overlay (the wiki will tell you how).
_________________
The Geek formerly known as -Freestyling-
When you feel your problem has been solved please add [Solved] to the topic title.
Please adopt an unanswered post
Back to top
View user's profile Send private message
seventhguardian
Apprentice
Apprentice


Joined: 10 May 2004
Posts: 261
Location: Portugal

PostPosted: Sat Sep 27, 2008 5:37 pm    Post subject: Reply with quote

Any news on this?
Back to top
View user's profile Send private message
yngwin
Retired Dev
Retired Dev


Joined: 19 Dec 2002
Posts: 4572
Location: Suzhou, China

PostPosted: Sat Sep 27, 2008 11:38 pm    Post subject: Reply with quote

Is there a bug with a request for this package? Did you contact developers who maintain similar packages?
_________________
"Those who deny freedom to others deserve it not for themselves." - Abraham Lincoln
Free Culture | Defective by Design | EFF
Back to top
View user's profile Send private message
seventhguardian
Apprentice
Apprentice


Joined: 10 May 2004
Posts: 261
Location: Portugal

PostPosted: Sun Sep 28, 2008 9:32 am    Post subject: Reply with quote

I've made a bug request for a similar package, gcam, and submitted an ebuild. Unfortunately no one picked it up...

As for EMC2, I've downloaded the source code tarball, but it is badly structured:

  • It contains unneeded files, empty directories, etc.
  • The src directory contains the configure.in, and it generates a single Makefile for all the different programs.
  • The configure script offers no enable/disable options, which means that _every_ program gets built, even if there are 5 included GUIs to choose from.
  • Because of the previous point emc requires a lot of dependencies and offers no USE flags.


This doesn't mean writing an ebuild is impossible, it means that the resulting ebuild will be poor...
Back to top
View user's profile Send private message
ukavi
Apprentice
Apprentice


Joined: 09 Feb 2007
Posts: 181
Location: The Netherlands

PostPosted: Sun Sep 28, 2008 10:35 am    Post subject: Reply with quote

maybe put htose ebuilds in sunrise?
_________________
English is not my native language, please notify me of any mistakes.
Back to top
View user's profile Send private message
yngwin
Retired Dev
Retired Dev


Joined: 19 Dec 2002
Posts: 4572
Location: Suzhou, China

PostPosted: Sun Sep 28, 2008 10:36 am    Post subject: Reply with quote

seventhguardian wrote:
I've made a bug request for a similar package, gcam, and submitted an ebuild. Unfortunately no one picked it up...

So, go over to #gentoo-sunrise on IRC, and get it into Sunrise overlay. There is a much better chance it will get picked up from there. Also, you should "pimp" your package, try to get some dev interested.

seventhguardian wrote:
As for EMC2, I've downloaded the source code tarball, but it is badly structured:
[...]
This doesn't mean writing an ebuild is impossible, it means that the resulting ebuild will be poor...

Or that you will need to do some patching to get it to behave.
_________________
"Those who deny freedom to others deserve it not for themselves." - Abraham Lincoln
Free Culture | Defective by Design | EFF
Back to top
View user's profile Send private message
dusanc
Apprentice
Apprentice


Joined: 19 Sep 2005
Posts: 248
Location: Serbia

PostPosted: Tue Oct 14, 2008 6:07 am    Post subject: Reply with quote

What about RT kernel? You should make a patch/ebuild for it too as gentoo doesn't offer those sources.
It would be nice if we could use EMC2 under gentoo :)
Maybe we should make CAD/CAM/CAE overlay?
_________________
Reiser4 Gentoo FAQ [25Dec2016]
Back to top
View user's profile Send private message
chris...
Apprentice
Apprentice


Joined: 26 Sep 2006
Posts: 179
Location: Melbourne, AU

PostPosted: Tue Aug 02, 2011 10:08 pm    Post subject: Reply with quote

I have a working rtai kernel ebuild and rtai modules ebuild
I cant seem to get the current emc built
Back to top
View user's profile Send private message
chris...
Apprentice
Apprentice


Joined: 26 Sep 2006
Posts: 179
Location: Melbourne, AU

PostPosted: Wed Aug 03, 2011 12:09 am    Post subject: Reply with quote

Correction to above
I have working rtai-sources-2.6.32.11 ebuilds along with current rtai and emc

I have posted bug reports and submited my ebuilds to get them into sunrise
Back to top
View user's profile Send private message
NeddySeagoon
Administrator
Administrator


Joined: 05 Jul 2003
Posts: 43742
Location: 56N 3W

PostPosted: Sun Aug 07, 2011 12:39 pm    Post subject: Reply with quote

Moved from Gentoo Chat to Unsupported Software.

It seems as if EMC is gaining some support ...
_________________
Regards,

NeddySeagoon

Computer users fall into two groups:-
those that do backups
those that have never had a hard drive fail.
Back to top
View user's profile Send private message
chris...
Apprentice
Apprentice


Joined: 26 Sep 2006
Posts: 179
Location: Melbourne, AU

PostPosted: Fri Aug 12, 2011 3:22 pm    Post subject: Reply with quote

For the record emc and rtai work with the 2.6.37 kernel provided you disable the hostmot2 driver
It is not a configure options so I disable it in the Makefile.inc file with the sed command after it gets created
I am not testing a use flag for this option and have it hardcoded into my ebuild with it diabled as I dont use that driver

For the ebuilds see bugs 377831, 377833 and 377835
The ebuilds in the above bugs are for the 2.6.32.11 and 2.6.37 kernel
Back to top
View user's profile Send private message
magoscuro
n00b
n00b


Joined: 18 Mar 2005
Posts: 32
Location: Santiago de Chile

PostPosted: Mon Apr 27, 2015 10:00 pm    Post subject: Emc compile will not find boost::python Reply with quote

Hi,

I'm trying to make the emc ebuild from http://wiki.linuxcnc.org/cgi-bin/wiki.pl?EmcOnGentoo compile on my Gentoo machine.

I modified the original ebuild to make it compatible with current Gentoo :

Code:
christian@malleco /usr/local/portage/sci-misc/emc $ cat emc-9999.ebuild
[code]EAPI="3"[/code]

PYTHON_DEPEND="2"

inherit linux-mod autotools python git-2 flag-o-matic

DESCRIPTION="G-Code interpreter for Linux based CNC"
HOMEPAGE="http://www.linuxcnc.org/"
EGIT_REPO_URI="git://git.linuxcnc.org/git/emc2.git"
EGIT_PROJECT="master"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS=""
IUSE="+X +gtk nls +python +doc-pdf doc-html simulator"

RDEPEND="       
        x11-libs/gtk+
        x11-libs/fltk
        dev-lang/nasm
        dev-lang/tcl
        dev-lang/tk
        dev-lang/python
        dev-python/numpy
        dev-python/imaging       
        dev-python/pygtk
        dev-python/pyxml
        dev-tcltk/bwidget
        dev-tcltk/tkimg
        !simulator? ( sci-misc/rtai )
        X? ( x11-libs/libXinerama
            x11-libs/libXmu
            x11-libs/libXaw
            x11-libs/libICE )"

DEPEND="${RDEPEND}
"

src_unpack() {
        git-2_src_unpack
}

src_configure () {
        cd src
        eautoreconf       
        econf \
                --with-module-dir="/lib/modules/${KV_FULL}/rtai/" \
                $(use_enable doc-pdf build-documentation build-documentation pdf) \
                $(use_enable doc-html build-documentation build-documentation html) \
                $(use_enable nls) \
                $(use_enable gtk) \
                $(use_enable python) \
                $(use_enable simulator) \
                $(use_with X x)
        # remove invalid ldconfig call
        sed -i -e 's:-ldconfig $(DESTDIR)$(libdir)::g' Makefile
        # replace pci_find_device to pci_get_device
        find . -type f -print0 | xargs -0 sed -i 's:pci_find_device:pci_get_device:g'
}

src_install () {
        cd src
        emake || die "compile failed"
        emake  DESTDIR="${D}" localedir="/usr/share/locale/" install || die "install failed"


I'm getting the following error on configure :

Code:

configure: error: boost::python is required to build LinuxCNC

!!! Please attach the following file when seeking support:
!!! /var/tmp/portage/sci-misc/emc-9999/work/emc-9999/src/config.log
 * ERROR: sci-misc/emc-9999::x-portage failed (configure phase):
 *   econf failed
 *
 * Call stack:
 *          ebuild.sh, line   93:  Called src_configure
 *        environment, line 7001:  Called econf '--with-module-dir=/lib/modules/3.18.11-gentoo/rtai/' '--enable-build-documentation=build-documentation' '--disable-build-documentation' '--enable-nls' '--disable-gtk' '--enable-python' '--enable-simulator' '--with-x'
 *   phase-helpers.sh, line  584:  Called die
 * The specific snippet of code:
 *                      die "econf failed"
 *


I've compiled boost with python support and my current python profile is 2,7 :
Code:

 * Found these USE flags for dev-libs/boost-1.55.0-r2:
 U I
 + + abi_x86_32               : 32-bit (x86) libraries
 - - context                  : Build and install the Boost.Context library and all other Boostlibraries that depends on it
 - - debug                    : (Restricted to <dev-libs/boost-1.50.0-r3)
                                Build and install debug versions of the Boost libraries. These libraries are not used by
                                default, and should not be used unless you're developing against Boost.
 - - doc                      : Install the full API documentation documentation. This takes over 200MB of extra disk space.
 - - icu                      : Enable ICU (Internationalization Components for Unicode) support, using dev-libs/icu
 - - mpi                      : Add MPI (Message Passing Interface) layer to the apps that support it
 + + nls                      : Build libboost_locale. This library requires compatible C library interfaces, which might not
                                be provided by uClibc or other embedded libraries.
 + + python                   : Add optional support/bindings for the Python language
 + + python_targets_python2_7 : Build with Python 2.7
 + + python_targets_python3_3 : Build with Python 3.3
 - - python_targets_python3_4 : Build with Python 3.4
 - - static-libs              : Build static versions of dynamic libraries as well
 + + threads                  : Build multi-thread-compatible libraries instead of single-threaded only.
 - - tools                    : Build and install the boost tools (bcp, quickbook, inspect, wave)


Code:
eselect python list
Available Python interpreters:
  [1]   python2.7 *
  [2]   python3.3
  [3]   python3.4


I'm stuck, I don't know what to do next, it's maybe something easy to fix but I can't figure out.

I put my make.conf, it can help :

Code:

CFLAGS="-march=core-avx-i -O2 -pipe"
CXXFLAGS="${CFLAGS}"
CHOST="x86_64-pc-linux-gnu"
USE="pulseaudio semantic-desktop flash pdf dbus -mysql -cdr unicode mysql lm_sensors hddtemp zip rar -samba kipi kde -bluetooth thumbnail alsa nss  fluidsynth jack jackmidi jack-tmpfs -ladcca lash vst cdparanoia sox aac flac lame mad musepack ogg vorbis cddb id3tag vlc encode mpd mpc portaudio freesound libsamplerate midi mp4 realtime rubberband schroedinger shine wavpack x264 lv2 ladspa mpeg avi xvid x264 mp3 -gstreamer plasma epub webkit -policykit ffmpeg faac faad ugly good matroska sndfile timidity freesound -gnome -gtk -networkmanager tcl tk raw video gimp vaapi libass avcodec win32codecs v4l2 v4l mtp x265 ppds tiff taglib devices farstream gphoto2 fpm"
VIDEO_CARDS="nvidia vesa"
ALSA_CARDS="ice1712"
MAKEOPTS="-j5"
ABI_X86="64 32"
EMERGE_DEFAULT_OPTS="--quiet-build=y"
PORT_LOGDIR="/var/log/portage"
LINGUAS="es fr es_CL"
PORTDIR="/usr/portage"
DISTDIR="${PORTDIR}/distfiles"
PKGDIR="${PORTDIR}/packages"
ACCEPT_LICENSE="*"
source /var/lib/layman/make.conf
GENTOO_MIRRORS="http://gentoo.localhost.net.ar/ ftp://mirrors.localhost.net.ar/pub/mirrors/gentoo/ rsync://gentoo.c3sl.ufpr.br/gentoo/ http://gentoo.c3sl.ufpr.br/ ftp://gentoo.c3sl.ufpr.br/gentoo/ http://www.las.ic.unicamp.br/pub/gentoo/ http://ftp.ucsb.edu/pub/mirrors/linux/gentoo/"
PORTDIR_OVERLAY="${PORTDIR_OVERLAY} /usr/local/portage"
EMERGE_DEFAULT_OPTS="-v"


and the debug info :
Code:
christian@malleco ~ $ sudo cat /var/tmp/portage/sci-misc/emc-9999/work/emc-9999/src/config.log
This file contains any messages produced by compilers while
running configure, to aid debugging if configure makes a mistake.

It was created by LinuxCNC configure 2.8.0~pre1, which was
generated by GNU Autoconf 2.69.  Invocation command line was

  $ ./configure --prefix=/usr --build=x86_64-pc-linux-gnu --host=x86_64-pc-linux-gnu --mandir=/usr/share/man --infodir=/usr/share/info --datadir=/usr/share --sysconfdir=/etc --localstatedir=/var/lib --libdir=/usr/lib64 --with-module-dir=/lib/modules/3.18.11-gentoo/rtai/ --enable-build-documentation=build-documentation --disable-build-documentation --enable-nls --disable-gtk --enable-python --enable-simulator --with-x

## --------- ##
## Platform. ##
## --------- ##

hostname = malleco
uname -m = x86_64
uname -r = 3.18.11-gentoo
uname -s = Linux
uname -v = #1 SMP PREEMPT Tue Apr 7 22:55:18 2015

/usr/bin/uname -p = Intel(R) Core(TM) i5-3550 CPU @ 3.30GHz
/bin/uname -X     = unknown

/bin/arch              = unknown
/usr/bin/arch -k       = unknown
/usr/convex/getsysinfo = unknown
/usr/bin/hostinfo      = unknown
/bin/machine           = unknown
/usr/bin/oslevel       = unknown
/bin/universe          = unknown

PATH: /usr/lib/portage/python2.7/ebuild-helpers
PATH: /usr/local/sbin
PATH: /usr/local/bin
PATH: /usr/sbin
PATH: /usr/bin
PATH: /sbin                                                                                                                           
PATH: /bin                                                                                                                             
PATH: /opt/bin                                                                                                                         
PATH: /usr/x86_64-pc-linux-gnu/gcc-bin/4.8.4                                                                                           
                                                                                                                                       
                                                                                                                                       
## ----------- ##                                                                                                                     
## Core tests. ##                                                                                                                     
## ----------- ##                                                                                                                     
                                                                                                                                       
configure:2386: checking build toplevel                                                                                               
configure:2389: result: /var/tmp/portage/sci-misc/emc-9999/work/emc-9999                                                               
configure:2398: checking installation prefix                                                                                           
configure:2407: result: /usr                                                                                                           
configure:2425: checking for grep                                                                                                     
configure:2443: found /bin/grep                                                                                                       
configure:2455: result: /bin/grep                                                                                                     
configure:2465: checking for egrep                                                                                                     
configure:2483: found /bin/egrep                                                                                                       
configure:2495: result: /bin/egrep                                                                                                     
configure:2512: checking for RT dir                                                                                                   
configure:2536: WARNING: --enable-simulator is deprecated.  Use --with-realtime=uspace instead.                                       
configure:2572: result: Using userspace realtime                                                                                       
configure:2575: checking whether to enable userspace PCI access                                                                       
configure:2596: result: yes                                                                                                           
configure:2601: checking for libudev                                                                                                   
configure:2605: result: yes - version 216                                                                                             
configure:2738: checking for cc version                                                                                               
configure:2746: result: not specified                                                                                                 
configure:2760: checking for x86_64-pc-linux-gnu-gcc                                                                                   
configure:2776: found /usr/bin/x86_64-pc-linux-gnu-gcc                                                                                 
configure:2787: result: x86_64-pc-linux-gnu-gcc                                                                                       
configure:2862: checking for C compiler version                                                                                       
configure:2871: x86_64-pc-linux-gnu-gcc --version >&5                                                                                 
x86_64-pc-linux-gnu-gcc (Gentoo 4.8.4 p1.4, pie-0.6.1) 4.8.4                                                                           
Copyright (C) 2013 Free Software Foundation, Inc.                                                                                     
This is free software; see the source for copying conditions.  There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

configure:2882: $? = 0
configure:2871: x86_64-pc-linux-gnu-gcc -v >&5
Using built-in specs.
COLLECT_GCC=/usr/x86_64-pc-linux-gnu/gcc-bin/4.8.4/x86_64-pc-linux-gnu-gcc
COLLECT_LTO_WRAPPER=/usr/libexec/gcc/x86_64-pc-linux-gnu/4.8.4/lto-wrapper
Target: x86_64-pc-linux-gnu
Configured with: /var/tmp/portage/sys-devel/gcc-4.8.4/work/gcc-4.8.4/configure --host=x86_64-pc-linux-gnu --build=x86_64-pc-linux-gnu --prefix=/usr --bindir=/usr/x86_64-pc-linux-gnu/gcc-bin/4.8.4 --includedir=/usr/lib/gcc/x86_64-pc-linux-gnu/4.8.4/include --datadir=/usr/share/gcc-data/x86_64-pc-linux-gnu/4.8.4 --mandir=/usr/share/gcc-data/x86_64-pc-linux-gnu/4.8.4/man --infodir=/usr/share/gcc-data/x86_64-pc-linux-gnu/4.8.4/info --with-gxx-include-dir=/usr/lib/gcc/x86_64-pc-linux-gnu/4.8.4/include/g++-v4 --with-python-dir=/share/gcc-data/x86_64-pc-linux-gnu/4.8.4/python --enable-languages=c,c++,fortran --enable-obsolete --enable-secureplt --disable-werror --with-system-zlib --enable-nls --without-included-gettext --enable-checking=release --with-bugurl=https://bugs.gentoo.org/ --with-pkgversion='Gentoo 4.8.4 p1.4, pie-0.6.1' --enable-libstdcxx-time --enable-shared --enable-threads=posix --enable-__cxa_atexit --enable-clocale=gnu --enable-multilib --with-multilib-list=m32,m64 --disable-altivec --disable-fixed-point --enable-targets=all --disable-libgcj --enable-libgomp --disable-libmudflap --disable-libssp --enable-lto --without-cloog --enable-libsanitizer
Thread model: posix
gcc version 4.8.4 (Gentoo 4.8.4 p1.4, pie-0.6.1)
configure:2882: $? = 0
configure:2871: x86_64-pc-linux-gnu-gcc -V >&5
x86_64-pc-linux-gnu-gcc: error: unrecognized command line option '-V'
x86_64-pc-linux-gnu-gcc: fatal error: no input files
compilation terminated.
configure:2882: $? = 1
configure:2871: x86_64-pc-linux-gnu-gcc -qversion >&5
x86_64-pc-linux-gnu-gcc: error: unrecognized command line option '-qversion'
x86_64-pc-linux-gnu-gcc: fatal error: no input files
compilation terminated.
configure:2882: $? = 1
configure:2902: checking whether the C compiler works
configure:2924: x86_64-pc-linux-gnu-gcc -march=core-avx-i -O2 -pipe  -Wl,-O1 -Wl,--as-needed conftest.c  >&5
configure:2928: $? = 0
configure:2976: result: yes
configure:2979: checking for C compiler default output file name
configure:2981: result: a.out
configure:2987: checking for suffix of executables
configure:2994: x86_64-pc-linux-gnu-gcc -o conftest -march=core-avx-i -O2 -pipe  -Wl,-O1 -Wl,--as-needed conftest.c  >&5
configure:2998: $? = 0
configure:3020: result:
configure:3042: checking whether we are cross compiling
configure:3050: x86_64-pc-linux-gnu-gcc -o conftest -march=core-avx-i -O2 -pipe  -Wl,-O1 -Wl,--as-needed conftest.c  >&5
configure:3054: $? = 0
configure:3061: ./conftest
configure:3065: $? = 0
configure:3080: result: no
configure:3085: checking for suffix of object files
configure:3107: x86_64-pc-linux-gnu-gcc -c -march=core-avx-i -O2 -pipe  conftest.c >&5
configure:3111: $? = 0
configure:3132: result: o
configure:3136: checking whether we are using the GNU C compiler
configure:3155: x86_64-pc-linux-gnu-gcc -c -march=core-avx-i -O2 -pipe  conftest.c >&5
configure:3155: $? = 0
configure:3164: result: yes
configure:3173: checking whether x86_64-pc-linux-gnu-gcc accepts -g
configure:3193: x86_64-pc-linux-gnu-gcc -c -g  conftest.c >&5
configure:3193: $? = 0
configure:3234: result: yes
configure:3251: checking for x86_64-pc-linux-gnu-gcc option to accept ISO C89
configure:3314: x86_64-pc-linux-gnu-gcc  -c -march=core-avx-i -O2 -pipe  conftest.c >&5
configure:3314: $? = 0
configure:3327: result: none needed
configure:3352: checking how to run the C preprocessor
configure:3383: x86_64-pc-linux-gnu-gcc -E  conftest.c
configure:3383: $? = 0
configure:3397: x86_64-pc-linux-gnu-gcc -E  conftest.c
conftest.c:11:28: fatal error: ac_nonexistent.h: No such file or directory
 #include <ac_nonexistent.h>
                            ^
compilation terminated.
configure:3397: $? = 1
configure: failed program was:
| /* confdefs.h */
| #define PACKAGE_NAME "LinuxCNC"
| #define PACKAGE_TARNAME "linuxcnc"
| #define PACKAGE_VERSION "2.8.0~pre1"
| #define PACKAGE_STRING "LinuxCNC 2.8.0~pre1"
| #define PACKAGE_BUGREPORT "emc-developers@lists.sourceforge.net"
| #define PACKAGE_URL ""
| #define RTAPI_USPACE /**/
| #define RTDIR "/var/tmp/portage/sci-misc/emc-9999/work/emc-9999/src"
| /* end confdefs.h.  */
| #include <ac_nonexistent.h>
configure:3422: result: x86_64-pc-linux-gnu-gcc -E
configure:3442: x86_64-pc-linux-gnu-gcc -E  conftest.c
configure:3442: $? = 0
configure:3456: x86_64-pc-linux-gnu-gcc -E  conftest.c
conftest.c:11:28: fatal error: ac_nonexistent.h: No such file or directory
 #include <ac_nonexistent.h>
                            ^
compilation terminated.
configure:3456: $? = 1
configure: failed program was:
| /* confdefs.h */
| #define PACKAGE_NAME "LinuxCNC"
| #define PACKAGE_TARNAME "linuxcnc"
| #define PACKAGE_VERSION "2.8.0~pre1"
| #define PACKAGE_STRING "LinuxCNC 2.8.0~pre1"
| #define PACKAGE_BUGREPORT "emc-developers@lists.sourceforge.net"
| #define PACKAGE_URL ""
| #define RTAPI_USPACE /**/
| #define RTDIR "/var/tmp/portage/sci-misc/emc-9999/work/emc-9999/src"
| /* end confdefs.h.  */
| #include <ac_nonexistent.h>
configure:3491: checking for usability of rdtscll from asm/msr.h
configure:3509: x86_64-pc-linux-gnu-gcc -o conftest -march=core-avx-i -O2 -pipe  -Wl,-O1 -Wl,--as-needed conftest.c  >&5
/var/tmp/portage/sci-misc/emc-9999/temp/ccasDByC.o: In function `use_rdtscll':
conftest.c:(.text+0x5): undefined reference to `rdtscll'
collect2: error: ld returned 1 exit status
configure:3509: $? = 1
configure: failed program was:
| /* confdefs.h */
| #define PACKAGE_NAME "LinuxCNC"
| #define PACKAGE_TARNAME "linuxcnc"
| #define PACKAGE_VERSION "2.8.0~pre1"
| #define PACKAGE_STRING "LinuxCNC 2.8.0~pre1"
| #define PACKAGE_BUGREPORT "emc-developers@lists.sourceforge.net"
| #define PACKAGE_URL ""
| #define RTAPI_USPACE /**/
| #define RTDIR "/var/tmp/portage/sci-misc/emc-9999/work/emc-9999/src"
| /* end confdefs.h.  */
|
| #include <asm/msr.h>
| #include <stdio.h>
| void use_rdtscll(void) { long long tsc; rdtscll(tsc); }
|
| int
| main ()
| {
|
|   ;
|   return 0;
| }
configure:3521: result: no
configure:3524: checking for usability of linux/hidraw.h
configure:3541: x86_64-pc-linux-gnu-gcc -o conftest -march=core-avx-i -O2 -pipe  -Wl,-O1 -Wl,--as-needed conftest.c  >&5
configure:3541: $? = 0
configure:3553: result: yes
configure:3574: checking for libmodbus3
configure:3578: result: yes - version 3.1.1
configure:3617: checking for libusb-1.0
configure:3620: result: yes
configure:3740: checking for module installation directory
configure:3780: result: /lib/modules/3.18.11-gentoo/rtai/
configure:3931: checking for glib
configure:3935: result: yes - 2.42.2
configure:4017: checking for x86_64-pc-linux-gnu-g++
configure:4033: found /usr/bin/x86_64-pc-linux-gnu-g++
configure:4044: result: x86_64-pc-linux-gnu-g++
configure:4115: checking for C++ compiler version
configure:4124: x86_64-pc-linux-gnu-g++ --version >&5
x86_64-pc-linux-gnu-g++ (Gentoo 4.8.4 p1.4, pie-0.6.1) 4.8.4
Copyright (C) 2013 Free Software Foundation, Inc.
This is free software; see the source for copying conditions.  There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

configure:4135: $? = 0
configure:4124: x86_64-pc-linux-gnu-g++ -v >&5
Using built-in specs.
COLLECT_GCC=/usr/x86_64-pc-linux-gnu/gcc-bin/4.8.4/x86_64-pc-linux-gnu-g++
COLLECT_LTO_WRAPPER=/usr/libexec/gcc/x86_64-pc-linux-gnu/4.8.4/lto-wrapper
Target: x86_64-pc-linux-gnu
Configured with: /var/tmp/portage/sys-devel/gcc-4.8.4/work/gcc-4.8.4/configure --host=x86_64-pc-linux-gnu --build=x86_64-pc-linux-gnu --prefix=/usr --bindir=/usr/x86_64-pc-linux-gnu/gcc-bin/4.8.4 --includedir=/usr/lib/gcc/x86_64-pc-linux-gnu/4.8.4/include --datadir=/usr/share/gcc-data/x86_64-pc-linux-gnu/4.8.4 --mandir=/usr/share/gcc-data/x86_64-pc-linux-gnu/4.8.4/man --infodir=/usr/share/gcc-data/x86_64-pc-linux-gnu/4.8.4/info --with-gxx-include-dir=/usr/lib/gcc/x86_64-pc-linux-gnu/4.8.4/include/g++-v4 --with-python-dir=/share/gcc-data/x86_64-pc-linux-gnu/4.8.4/python --enable-languages=c,c++,fortran --enable-obsolete --enable-secureplt --disable-werror --with-system-zlib --enable-nls --without-included-gettext --enable-checking=release --with-bugurl=https://bugs.gentoo.org/ --with-pkgversion='Gentoo 4.8.4 p1.4, pie-0.6.1' --enable-libstdcxx-time --enable-shared --enable-threads=posix --enable-__cxa_atexit --enable-clocale=gnu --enable-multilib --with-multilib-list=m32,m64 --disable-altivec --disable-fixed-point --enable-targets=all --disable-libgcj --enable-libgomp --disable-libmudflap --disable-libssp --enable-lto --without-cloog --enable-libsanitizer
Thread model: posix
gcc version 4.8.4 (Gentoo 4.8.4 p1.4, pie-0.6.1)
configure:4135: $? = 0
configure:4124: x86_64-pc-linux-gnu-g++ -V >&5
x86_64-pc-linux-gnu-g++: error: unrecognized command line option '-V'
x86_64-pc-linux-gnu-g++: fatal error: no input files
compilation terminated.
configure:4135: $? = 1
configure:4124: x86_64-pc-linux-gnu-g++ -qversion >&5
x86_64-pc-linux-gnu-g++: error: unrecognized command line option '-qversion'
x86_64-pc-linux-gnu-g++: fatal error: no input files
compilation terminated.
configure:4135: $? = 1
configure:4139: checking whether we are using the GNU C++ compiler
configure:4158: x86_64-pc-linux-gnu-g++ -c -march=core-avx-i -O2 -pipe  conftest.cpp >&5
configure:4158: $? = 0
configure:4167: result: yes
configure:4176: checking whether x86_64-pc-linux-gnu-g++ accepts -g
configure:4196: x86_64-pc-linux-gnu-g++ -c -g  conftest.cpp >&5
configure:4196: $? = 0
configure:4237: result: yes
configure:4311: checking whether x86_64-pc-linux-gnu-g++ supports C++11 features by default
configure:4337: x86_64-pc-linux-gnu-g++ -c -march=core-avx-i -O2 -pipe  conftest.cpp >&5
conftest.cpp:32:21: error: expected identifier before 'sizeof'
       static_assert(sizeof(int) <= sizeof(T), "not big enough");
                     ^
conftest.cpp:32:21: error: expected ',' or '...' before 'sizeof'
conftest.cpp:32:63: error: ISO C++ forbids declaration of 'static_assert' with no type [-fpermissive]
       static_assert(sizeof(int) <= sizeof(T), "not big enough");
                                                               ^
conftest.cpp:35:29: error: '>>' should be '> >' within a nested template argument list
     typedef check<check<bool>> right_angle_brackets;
                             ^
conftest.cpp:38:13: error: expected constructor, destructor, or type conversion before '(' token
     decltype(a) b;
             ^
conftest.cpp:42:15: error: expected unqualified-id before '&&' token
     check_type&& cr = static_cast<check_type&&>(c);
               ^
conftest.cpp:44:10: error: 'd' does not name a type
     auto d = a;
          ^
configure:4337: $? = 1
configure: failed program was:
| /* confdefs.h */
| #define PACKAGE_NAME "LinuxCNC"
| #define PACKAGE_TARNAME "linuxcnc"
| #define PACKAGE_VERSION "2.8.0~pre1"
| #define PACKAGE_STRING "LinuxCNC 2.8.0~pre1"
| #define PACKAGE_BUGREPORT "emc-developers@lists.sourceforge.net"
| #define PACKAGE_URL ""
| #define RTAPI_USPACE /**/
| #define RTDIR "/var/tmp/portage/sci-misc/emc-9999/work/emc-9999/src"
| #define HIDRAW_H_USABLE /**/
| #define HAVE_LIBMODBUS3 yes
| #define HAVE_LIBUSB10 yes
| #define MODULE_EXT ".so"
| #define EMC2_DEFAULT_NMLFILE "/usr/share/linuxcnc/linuxcnc.nml"
| #define EMC2_DEFAULT_TOOLTABLE ""
| #define EMC2_HOME "/usr"
| #define EMC2_BIN_DIR "/usr/bin"
| #define EMC2_TCL_DIR "/usr/lib/tcltk/linuxcnc"
| #define EMC2_HELP_DIR "/usr/share/doc/linuxcnc"
| #define EMC2_RTLIB_DIR "/lib/modules/3.18.11-gentoo/rtai//linuxcnc"
| #define EMC2_LANG_DIR "/usr/share/linuxcnc/tcl/msgs"
| #define EMC2_PO_DIR "/usr/share/locale"
| #define EMC2_CONFIG_DIR ""
| #define EMC2_NCFILES_DIR "/usr/share/linuxcnc/ncfiles"
| #define EMC2_IMAGE_DIR "/usr/share/linuxcnc"
| #define PRELOAD_WORKAROUND ""
| /* end confdefs.h.  */
|
|   template <typename T>
|     struct check
|     {
|       static_assert(sizeof(int) <= sizeof(T), "not big enough");
|     };
|
|     typedef check<check<bool>> right_angle_brackets;
|
|     int a;
|     decltype(a) b;
|
|     typedef check<int> check_type;
|     check_type c;
|     check_type&& cr = static_cast<check_type&&>(c);
|
|     auto d = a;
|
configure:4344: result: no
configure:4355: checking whether x86_64-pc-linux-gnu-g++ supports C++11 features with -std=c++11
configure:4383: x86_64-pc-linux-gnu-g++ -c -march=core-avx-i -O2 -pipe -std=c++11  conftest.cpp >&5
configure:4383: $? = 0
configure:4392: result: yes
configure:4427: checking whether make sets $(MAKE)
configure:4449: result: yes
configure:4461: checking for x86_64-pc-linux-gnu-ranlib
configure:4477: found /usr/bin/x86_64-pc-linux-gnu-ranlib
configure:4488: result: x86_64-pc-linux-gnu-ranlib
configure:4552: checking for ar
configure:4570: found /usr/bin/ar
configure:4582: result: /usr/bin/ar
configure:4592: checking for install
configure:4610: found /usr/bin/install
configure:4622: result: /usr/bin/install
configure:4633: checking for sed
configure:4651: found /bin/sed
configure:4664: result: /bin/sed
configure:4679: checking for ps
configure:4697: found /bin/ps
configure:4710: result: /bin/ps
configure:4725: checking for kill
configure:4743: found /bin/kill
configure:4756: result: /bin/kill
configure:4771: checking for whoami
configure:4789: found /usr/bin/whoami
configure:4802: result: /usr/bin/whoami
configure:4817: checking for awk
configure:4835: found /usr/bin/awk
configure:4848: result: /usr/bin/awk
configure:4863: checking for insmod
configure:4881: found /sbin/insmod
configure:4894: result: /sbin/insmod
configure:4909: checking for rmmod
configure:4927: found /sbin/rmmod
configure:4940: result: /sbin/rmmod
configure:4955: checking for lsmod
configure:4973: found /sbin/lsmod
configure:4986: result: /sbin/lsmod
configure:5001: checking for pidof
configure:5019: found /bin/pidof
configure:5032: result: /bin/pidof
configure:5047: checking for ipcs
configure:5065: found /usr/bin/ipcs
configure:5078: result: /usr/bin/ipcs
configure:5093: checking for fuser
configure:5111: found /bin/fuser
configure:5124: result: /bin/fuser
configure:5140: checking for mandb
configure:5158: found /usr/bin/mandb
configure:5171: result: /usr/bin/mandb
configure:5245: checking for python
configure:5263: found /usr/bin/python
configure:5276: result: /usr/bin/python
configure:5289: checking whether to build documentation
configure:5318: result: no
configure:5900: checking for grep that handles long lines and -e
configure:5958: result: /bin/grep
configure:5963: checking for egrep
configure:6025: result: /bin/egrep
configure:6030: checking for ANSI C header files
configure:6050: x86_64-pc-linux-gnu-gcc -c -march=core-avx-i -O2 -pipe  conftest.c >&5
configure:6050: $? = 0
configure:6123: x86_64-pc-linux-gnu-gcc -o conftest -march=core-avx-i -O2 -pipe  -Wl,-O1 -Wl,--as-needed conftest.c  >&5
configure:6123: $? = 0
configure:6123: ./conftest
configure:6123: $? = 0
configure:6134: result: yes
configure:6142: checking for sys/wait.h that is POSIX.1 compatible
configure:6168: x86_64-pc-linux-gnu-gcc -c -march=core-avx-i -O2 -pipe  conftest.c >&5
configure:6168: $? = 0
configure:6175: result: yes
configure:6185: checking for semtimedop
configure:6185: x86_64-pc-linux-gnu-gcc -o conftest -march=core-avx-i -O2 -pipe  -Wl,-O1 -Wl,--as-needed conftest.c  >&5
configure:6185: $? = 0
configure:6185: result: yes
configure:6197: checking for sincos function
configure:6211: x86_64-pc-linux-gnu-gcc -o conftest -march=core-avx-i -O2 -pipe  -Wl,-O1 -Wl,--as-needed conftest.c  -lm >&5
conftest.c: In function 'main':
conftest.c:36:1: warning: incompatible implicit declaration of built-in function 'sincos' [enabled by default]
 sincos(1.0, &a, &b);
 ^
configure:6211: $? = 0
configure:6221: result: yes
configure:6226: checking for __sincos
configure:6226: x86_64-pc-linux-gnu-gcc -o conftest -march=core-avx-i -O2 -pipe  -Wl,-O1 -Wl,--as-needed conftest.c  -lm >&5
/var/tmp/portage/sci-misc/emc-9999/temp/ccMI3400.o: In function `main':
conftest.c:(.text.startup+0x7): undefined reference to `__sincos'
collect2: error: ld returned 1 exit status
configure:6226: $? = 1
configure: failed program was:
| /* confdefs.h */
| #define PACKAGE_NAME "LinuxCNC"
| #define PACKAGE_TARNAME "linuxcnc"
| #define PACKAGE_VERSION "2.8.0~pre1"
| #define PACKAGE_STRING "LinuxCNC 2.8.0~pre1"
| #define PACKAGE_BUGREPORT "emc-developers@lists.sourceforge.net"
| #define PACKAGE_URL ""
| #define RTAPI_USPACE /**/
| #define RTDIR "/var/tmp/portage/sci-misc/emc-9999/work/emc-9999/src"
| #define HIDRAW_H_USABLE /**/
| #define HAVE_LIBMODBUS3 yes
| #define HAVE_LIBUSB10 yes
| #define MODULE_EXT ".so"
| #define EMC2_DEFAULT_NMLFILE "/usr/share/linuxcnc/linuxcnc.nml"
| #define EMC2_DEFAULT_TOOLTABLE ""
| #define EMC2_HOME "/usr"
| #define EMC2_BIN_DIR "/usr/bin"
| #define EMC2_TCL_DIR "/usr/lib/tcltk/linuxcnc"
| #define EMC2_HELP_DIR "/usr/share/doc/linuxcnc"
| #define EMC2_RTLIB_DIR "/lib/modules/3.18.11-gentoo/rtai//linuxcnc"
| #define EMC2_LANG_DIR "/usr/share/linuxcnc/tcl/msgs"
| #define EMC2_PO_DIR "/usr/share/locale"
| #define EMC2_CONFIG_DIR ""
| #define EMC2_NCFILES_DIR "/usr/share/linuxcnc/ncfiles"
| #define EMC2_IMAGE_DIR "/usr/share/linuxcnc"
| #define PRELOAD_WORKAROUND ""
| #define HAVE_CXX11 1
| #define STDC_HEADERS 1
| #define HAVE_SYS_WAIT_H 1
| #define HAVE_SEMTIMEDOP 1
| #define HAVE_SINCOS 1
| /* end confdefs.h.  */
| /* Define __sincos to an innocuous variant, in case <limits.h> declares __sincos.
|    For example, HP-UX 11i <limits.h> declares gettimeofday.  */
| #define __sincos innocuous___sincos
|
| /* System header to define __stub macros and hopefully few prototypes,
|     which can conflict with char __sincos (); below.
|     Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
|     <limits.h> exists even on freestanding compilers.  */
|
| #ifdef __STDC__
| # include <limits.h>
| #else
| # include <assert.h>
| #endif
|
| #undef __sincos
|
| /* Override any GCC internal prototype to avoid an error.
|    Use char because int might match the return type of a GCC
|    builtin and then its argument prototype would still apply.  */
| #ifdef __cplusplus
| extern "C"
| #endif
| char __sincos ();
| /* The GNU C library defines this for functions which it implements
|     to always fail with ENOSYS.  Some functions are actually named
|     something starting with __ and the normal name is an alias.  */
| #if defined __stub___sincos || defined __stub_____sincos
| choke me
| #endif
|
| int
| main ()
| {
| return __sincos ();
|   ;
|   return 0;
| }
configure:6226: result: no
configure:6246: checking for tcl
configure:6365: result: /usr/lib64/tclConfig.sh found
configure:6372: checking for tk
configure:6479: result: /usr/lib64/tkConfig.sh found
configure:6515: checking whether to check for runtime dependencies
configure:6517: result: yes
configure:6521: checking for BWidget using /usr/bin/tclsh8.5
configure:6524: result: found
configure:6533: checking for BLT using tclsh8.5
configure:6536: result: found
configure:6543: checking for img::png using /usr/bin/tclsh8.5
configure:6546: result: found
configure:6556: checking for tclX using /usr/bin/tclsh8.5
configure:6559: result: found
configure:6588: checking for X
configure:6696: x86_64-pc-linux-gnu-gcc -E  conftest.c
configure:6696: $? = 0
configure:6727: x86_64-pc-linux-gnu-gcc -o conftest -march=core-avx-i -O2 -pipe  -Wl,-O1 -Wl,--as-needed conftest.c -lX11  >&5
configure:6727: $? = 0
configure:6777: result: libraries , headers
configure:6876: x86_64-pc-linux-gnu-gcc -o conftest -march=core-avx-i -O2 -pipe  -Wl,-O1 -Wl,--as-needed conftest.c   -lX11 >&5
configure:6876: $? = 0
configure:6974: checking for gethostbyname
configure:6974: x86_64-pc-linux-gnu-gcc -o conftest -march=core-avx-i -O2 -pipe  -Wl,-O1 -Wl,--as-needed conftest.c  >&5
configure:6974: $? = 0
configure:6974: result: yes
configure:7071: checking for connect
configure:7071: x86_64-pc-linux-gnu-gcc -o conftest -march=core-avx-i -O2 -pipe  -Wl,-O1 -Wl,--as-needed conftest.c  >&5
configure:7071: $? = 0
configure:7071: result: yes
configure:7120: checking for remove
configure:7120: x86_64-pc-linux-gnu-gcc -o conftest -march=core-avx-i -O2 -pipe  -Wl,-O1 -Wl,--as-needed conftest.c  >&5
configure:7120: $? = 0
configure:7120: result: yes
configure:7169: checking for shmat
configure:7169: x86_64-pc-linux-gnu-gcc -o conftest -march=core-avx-i -O2 -pipe  -Wl,-O1 -Wl,--as-needed conftest.c  >&5
configure:7169: $? = 0
configure:7169: result: yes
configure:7227: checking for IceConnectionNumber in -lICE
configure:7252: x86_64-pc-linux-gnu-gcc -o conftest -march=core-avx-i -O2 -pipe  -Wl,-O1 -Wl,--as-needed conftest.c -lICE   >&5
configure:7252: $? = 0
configure:7261: result: yes
configure:7279: checking X11/extensions/Xinerama.h usability
configure:7279: x86_64-pc-linux-gnu-gcc -c -march=core-avx-i -O2 -pipe  conftest.c >&5
configure:7279: $? = 0
configure:7279: result: yes
configure:7279: checking X11/extensions/Xinerama.h presence
configure:7279: x86_64-pc-linux-gnu-gcc -E  conftest.c
configure:7279: $? = 0
configure:7279: result: yes
configure:7279: checking for X11/extensions/Xinerama.h
configure:7279: result: yes
configure:7292: checking for XineramaQueryExtension in -lXinerama
configure:7317: x86_64-pc-linux-gnu-gcc -o conftest -march=core-avx-i -O2 -pipe  -Wl,-O1 -Wl,--as-needed conftest.c -lXinerama   >&5
configure:7317: $? = 0
configure:7326: result: yes
configure:7354: checking for X11/Xaw/XawInit.h
configure:7354: x86_64-pc-linux-gnu-gcc -c -march=core-avx-i -O2 -pipe   conftest.c >&5
configure:7354: $? = 0
configure:7354: result: yes
configure:7369: checking for XawDialogGetValueString in -lXaw
configure:7394: x86_64-pc-linux-gnu-gcc -o conftest -march=core-avx-i -O2 -pipe   -Wl,-O1 -Wl,--as-needed conftest.c -lXaw  -lXinerama   -lSM -lICE  >&5
configure:7394: $? = 0
configure:7403: result: yes
configure:7436: checking readline/readline.h usability
configure:7436: x86_64-pc-linux-gnu-gcc -c -march=core-avx-i -O2 -pipe  conftest.c >&5
configure:7436: $? = 0
configure:7436: result: yes
configure:7436: checking readline/readline.h presence
configure:7436: x86_64-pc-linux-gnu-gcc -E  conftest.c
configure:7436: $? = 0
configure:7436: result: yes
configure:7436: checking for readline/readline.h
configure:7436: result: yes
configure:7450: checking readline/history.h usability
configure:7450: x86_64-pc-linux-gnu-gcc -c -march=core-avx-i -O2 -pipe  conftest.c >&5
configure:7450: $? = 0
configure:7450: result: yes
configure:7450: checking readline/history.h presence
configure:7450: x86_64-pc-linux-gnu-gcc -E  conftest.c
configure:7450: $? = 0
configure:7450: result: yes
configure:7450: checking for readline/history.h
configure:7450: result: yes
configure:7464: checking for readline in -lreadline
configure:7489: x86_64-pc-linux-gnu-gcc -o conftest -march=core-avx-i -O2 -pipe  -Wl,-O1 -Wl,--as-needed conftest.c -lreadline   >&5
configure:7489: $? = 0
configure:7498: result: yes
configure:7506: checking for readline in -lreadline
configure:7531: x86_64-pc-linux-gnu-gcc -o conftest -march=core-avx-i -O2 -pipe  -Wl,-O1 -Wl,--as-needed conftest.c -lreadline -ltermcap  >&5
/usr/lib/gcc/x86_64-pc-linux-gnu/4.8.4/../../../../x86_64-pc-linux-gnu/bin/ld: cannot find -ltermcap
collect2: error: ld returned 1 exit status
configure:7531: $? = 1
configure: failed program was:
| /* confdefs.h */
| #define PACKAGE_NAME "LinuxCNC"
| #define PACKAGE_TARNAME "linuxcnc"
| #define PACKAGE_VERSION "2.8.0~pre1"
| #define PACKAGE_STRING "LinuxCNC 2.8.0~pre1"
| #define PACKAGE_BUGREPORT "emc-developers@lists.sourceforge.net"
| #define PACKAGE_URL ""
| #define RTAPI_USPACE /**/
| #define RTDIR "/var/tmp/portage/sci-misc/emc-9999/work/emc-9999/src"
| #define HIDRAW_H_USABLE /**/
| #define HAVE_LIBMODBUS3 yes
| #define HAVE_LIBUSB10 yes
| #define MODULE_EXT ".so"
| #define EMC2_DEFAULT_NMLFILE "/usr/share/linuxcnc/linuxcnc.nml"
| #define EMC2_DEFAULT_TOOLTABLE ""
| #define EMC2_HOME "/usr"
| #define EMC2_BIN_DIR "/usr/bin"
| #define EMC2_TCL_DIR "/usr/lib/tcltk/linuxcnc"
| #define EMC2_HELP_DIR "/usr/share/doc/linuxcnc"
| #define EMC2_RTLIB_DIR "/lib/modules/3.18.11-gentoo/rtai//linuxcnc"
| #define EMC2_LANG_DIR "/usr/share/linuxcnc/tcl/msgs"
| #define EMC2_PO_DIR "/usr/share/locale"
| #define EMC2_CONFIG_DIR ""
| #define EMC2_NCFILES_DIR "/usr/share/linuxcnc/ncfiles"
| #define EMC2_IMAGE_DIR "/usr/share/linuxcnc"
| #define PRELOAD_WORKAROUND ""
| #define HAVE_CXX11 1
| #define STDC_HEADERS 1
| #define HAVE_SYS_WAIT_H 1
| #define HAVE_SEMTIMEDOP 1
| #define HAVE_SINCOS 1
| #define HAVE_X11_EXTENSIONS_XINERAMA_H 1
| #define HAVE_LIBXINERAMA 1
| #define HAVE_X11_XAW_XAWINIT_H 1
| #define HAVE_LIBXAW 1
| #define HAVE_READLINE_READLINE_H 1
| #define HAVE_READLINE_HISTORY_H 1
| /* end confdefs.h.  */
|
| /* Override any GCC internal prototype to avoid an error.
|    Use char because int might match the return type of a GCC
|    builtin and then its argument prototype would still apply.  */
| #ifdef __cplusplus
| extern "C"
| #endif
| char readline ();
| int
| main ()
| {
| return readline ();
|   ;
|   return 0;
| }
configure:7540: result: no
configure:7573: checking ncurses.h usability
configure:7573: x86_64-pc-linux-gnu-gcc -c -march=core-avx-i -O2 -pipe  conftest.c >&5
configure:7573: $? = 0
configure:7573: result: yes
configure:7573: checking ncurses.h presence
configure:7573: x86_64-pc-linux-gnu-gcc -E  conftest.c
configure:7573: $? = 0
configure:7573: result: yes
configure:7573: checking for ncurses.h
configure:7573: result: yes
configure:7586: checking for initscr in -lncurses
configure:7611: x86_64-pc-linux-gnu-gcc -o conftest -march=core-avx-i -O2 -pipe  -Wl,-O1 -Wl,--as-needed conftest.c -lncurses   >&5
configure:7611: $? = 0
configure:7620: result: yes
configure:7781: checking for xgettext
configure:7799: found /usr/bin/xgettext
configure:7812: result: /usr/bin/xgettext
configure:7824: checking for xgettext tcl bug
configure:7832: result: xgettext version 0.19.3 OK
configure:7844: checking for msgfmt
configure:7862: found /usr/bin/msgfmt
configure:7875: result: /usr/bin/msgfmt
configure:7886: checking for --tcl support in msgfmt
configure:7889: result: yes
configure:7897: checking for Python support
configure:7914: result: yes
configure:7922: checking python version
configure:7928: result: OK
configure:7931: checking version of python libraries
configure:7934: result: python2.7
configure:7937: checking match between tk and Tkinter versions
configure:7954: result: 8.5
configure:7957: checking location of Python header files
configure:7960: result: /usr/include/python2.7
configure:7963: checking for Python headers
configure:7977: result: -I/usr/include/python2.7
configure:7981: checking for Python libraries
configure:7991: result: -lpthread -ldl  -lutil
configure:8011: checking whether the Boost::Python headers are available
configure:8031: x86_64-pc-linux-gnu-g++ -c -march=core-avx-i -O2 -pipe -std=c++11 -I/usr/include/python2.7  conftest.cpp >&5
configure:8031: $? = 0
configure:8038: result: yes
configure:8054: checking for boost::python shared library
configure:8071: x86_64-pc-linux-gnu-g++ -o conftest -march=core-avx-i -O2 -pipe -std=c++11 -I/usr/include/python2.7  -Wl,-O1 -Wl,--as-needed conftest.cpp  -lXinerama  -lpython2.7 -lboost_python >&5
/usr/lib/gcc/x86_64-pc-linux-gnu/4.8.4/../../../../x86_64-pc-linux-gnu/bin/ld: cannot find -lboost_python
collect2: error: ld returned 1 exit status
configure:8071: $? = 1
configure: failed program was:
| /* confdefs.h */
| #define PACKAGE_NAME "LinuxCNC"
| #define PACKAGE_TARNAME "linuxcnc"
| #define PACKAGE_VERSION "2.8.0~pre1"
| #define PACKAGE_STRING "LinuxCNC 2.8.0~pre1"
| #define PACKAGE_BUGREPORT "emc-developers@lists.sourceforge.net"
| #define PACKAGE_URL ""
| #define RTAPI_USPACE /**/
| #define RTDIR "/var/tmp/portage/sci-misc/emc-9999/work/emc-9999/src"
| #define HIDRAW_H_USABLE /**/
| #define HAVE_LIBMODBUS3 yes
| #define HAVE_LIBUSB10 yes
| #define MODULE_EXT ".so"
| #define EMC2_DEFAULT_NMLFILE "/usr/share/linuxcnc/linuxcnc.nml"
| #define EMC2_DEFAULT_TOOLTABLE ""
| #define EMC2_HOME "/usr"
| #define EMC2_BIN_DIR "/usr/bin"
| #define EMC2_TCL_DIR "/usr/lib/tcltk/linuxcnc"
| #define EMC2_HELP_DIR "/usr/share/doc/linuxcnc"
| #define EMC2_RTLIB_DIR "/lib/modules/3.18.11-gentoo/rtai//linuxcnc"
| #define EMC2_LANG_DIR "/usr/share/linuxcnc/tcl/msgs"
| #define EMC2_PO_DIR "/usr/share/locale"
| #define EMC2_CONFIG_DIR ""
| #define EMC2_NCFILES_DIR "/usr/share/linuxcnc/ncfiles"
| #define EMC2_IMAGE_DIR "/usr/share/linuxcnc"
| #define PRELOAD_WORKAROUND ""
| #define HAVE_CXX11 1
| #define STDC_HEADERS 1
| #define HAVE_SYS_WAIT_H 1
| #define HAVE_SEMTIMEDOP 1
| #define HAVE_SINCOS 1
| #define HAVE_X11_EXTENSIONS_XINERAMA_H 1
| #define HAVE_LIBXINERAMA 1
| #define HAVE_X11_XAW_XAWINIT_H 1
| #define HAVE_LIBXAW 1
| #define HAVE_READLINE_READLINE_H 1
| #define HAVE_READLINE_HISTORY_H 1
| #define HAVE_READLINE /**/
| #define HAVE_NCURSES_H 1
| #define HAVE_LIBNCURSES 1
| /* end confdefs.h.  */
| #include <boost/python.hpp>
| int
| main ()
| {
| boost::python::object test_object;
|   ;
|   return 0;
| }
configure:8071: x86_64-pc-linux-gnu-g++ -o conftest -march=core-avx-i -O2 -pipe -std=c++11 -I/usr/include/python2.7  -Wl,-O1 -Wl,--as-needed conftest.cpp  -lXinerama  -lpython2.7 -l >&5
x86_64-pc-linux-gnu-g++: error: missing argument to '-l'
configure:8071: $? = 1
configure: failed program was:
| /* confdefs.h */
| #define PACKAGE_NAME "LinuxCNC"
| #define PACKAGE_TARNAME "linuxcnc"
| #define PACKAGE_VERSION "2.8.0~pre1"
| #define PACKAGE_STRING "LinuxCNC 2.8.0~pre1"
| #define PACKAGE_BUGREPORT "emc-developers@lists.sourceforge.net"
| #define PACKAGE_URL ""
| #define RTAPI_USPACE /**/
| #define RTDIR "/var/tmp/portage/sci-misc/emc-9999/work/emc-9999/src"
| #define HIDRAW_H_USABLE /**/
| #define HAVE_LIBMODBUS3 yes
| #define HAVE_LIBUSB10 yes
| #define MODULE_EXT ".so"
| #define EMC2_DEFAULT_NMLFILE "/usr/share/linuxcnc/linuxcnc.nml"
| #define EMC2_DEFAULT_TOOLTABLE ""
| #define EMC2_HOME "/usr"
| #define EMC2_BIN_DIR "/usr/bin"
| #define EMC2_TCL_DIR "/usr/lib/tcltk/linuxcnc"
| #define EMC2_HELP_DIR "/usr/share/doc/linuxcnc"
| #define EMC2_RTLIB_DIR "/lib/modules/3.18.11-gentoo/rtai//linuxcnc"
| #define EMC2_LANG_DIR "/usr/share/linuxcnc/tcl/msgs"
| #define EMC2_PO_DIR "/usr/share/locale"
| #define EMC2_CONFIG_DIR ""
| #define EMC2_NCFILES_DIR "/usr/share/linuxcnc/ncfiles"
| #define EMC2_IMAGE_DIR "/usr/share/linuxcnc"
| #define PRELOAD_WORKAROUND ""
| #define HAVE_CXX11 1
| #define STDC_HEADERS 1
| #define HAVE_SYS_WAIT_H 1
| #define HAVE_SEMTIMEDOP 1
| #define HAVE_SINCOS 1
| #define HAVE_X11_EXTENSIONS_XINERAMA_H 1
| #define HAVE_LIBXINERAMA 1
| #define HAVE_X11_XAW_XAWINIT_H 1
| #define HAVE_LIBXAW 1
| #define HAVE_READLINE_READLINE_H 1
| #define HAVE_READLINE_HISTORY_H 1
| #define HAVE_READLINE /**/
| #define HAVE_NCURSES_H 1
| #define HAVE_LIBNCURSES 1
| /* end confdefs.h.  */
| #include <boost/python.hpp>
| int
| main ()
| {
| boost::python::object test_object;
|   ;
|   return 0;
| }
configure:8071: x86_64-pc-linux-gnu-g++ -o conftest -march=core-avx-i -O2 -pipe -std=c++11 -I/usr/include/python2.7  -Wl,-O1 -Wl,--as-needed conftest.cpp  -lXinerama  -lpython2.7 -lboost_python >&5
/usr/lib/gcc/x86_64-pc-linux-gnu/4.8.4/../../../../x86_64-pc-linux-gnu/bin/ld: cannot find -lboost_python
collect2: error: ld returned 1 exit status
configure:8071: $? = 1
configure: failed program was:
| /* confdefs.h */
| #define PACKAGE_NAME "LinuxCNC"
| #define PACKAGE_TARNAME "linuxcnc"
| #define PACKAGE_VERSION "2.8.0~pre1"
| #define PACKAGE_STRING "LinuxCNC 2.8.0~pre1"
| #define PACKAGE_BUGREPORT "emc-developers@lists.sourceforge.net"
| #define PACKAGE_URL ""
| #define RTAPI_USPACE /**/
| #define RTDIR "/var/tmp/portage/sci-misc/emc-9999/work/emc-9999/src"
| #define HIDRAW_H_USABLE /**/
| #define HAVE_LIBMODBUS3 yes
| #define HAVE_LIBUSB10 yes
| #define MODULE_EXT ".so"
| #define EMC2_DEFAULT_NMLFILE "/usr/share/linuxcnc/linuxcnc.nml"
| #define EMC2_DEFAULT_TOOLTABLE ""
| #define EMC2_HOME "/usr"
| #define EMC2_BIN_DIR "/usr/bin"
| #define EMC2_TCL_DIR "/usr/lib/tcltk/linuxcnc"
| #define EMC2_HELP_DIR "/usr/share/doc/linuxcnc"
| #define EMC2_RTLIB_DIR "/lib/modules/3.18.11-gentoo/rtai//linuxcnc"
| #define EMC2_LANG_DIR "/usr/share/linuxcnc/tcl/msgs"
| #define EMC2_PO_DIR "/usr/share/locale"
| #define EMC2_CONFIG_DIR ""
| #define EMC2_NCFILES_DIR "/usr/share/linuxcnc/ncfiles"
| #define EMC2_IMAGE_DIR "/usr/share/linuxcnc"
| #define PRELOAD_WORKAROUND ""
| #define HAVE_CXX11 1
| #define STDC_HEADERS 1
| #define HAVE_SYS_WAIT_H 1
| #define HAVE_SEMTIMEDOP 1
| #define HAVE_SINCOS 1
| #define HAVE_X11_EXTENSIONS_XINERAMA_H 1
| #define HAVE_LIBXINERAMA 1
| #define HAVE_X11_XAW_XAWINIT_H 1
| #define HAVE_LIBXAW 1
| #define HAVE_READLINE_READLINE_H 1
| #define HAVE_READLINE_HISTORY_H 1
| #define HAVE_READLINE /**/
| #define HAVE_NCURSES_H 1
| #define HAVE_LIBNCURSES 1
| /* end confdefs.h.  */
| #include <boost/python.hpp>
| int
| main ()
| {
| boost::python::object test_object;
|   ;
|   return 0;
| }
configure:8082: result:
configure:8099: error: boost::python is required to build LinuxCNC

## ---------------- ##
## Cache variables. ##
## ---------------- ##

ac_cv_boost_python=yes
ac_cv_c_compiler_gnu=yes
ac_cv_cxx_compiler_gnu=yes
ac_cv_env_CCC_set=
ac_cv_env_CCC_value=
ac_cv_env_CC_set=
ac_cv_env_CC_value=
ac_cv_env_CFLAGS_set=set
ac_cv_env_CFLAGS_value='-march=core-avx-i -O2 -pipe'
ac_cv_env_CPPFLAGS_set=
ac_cv_env_CPPFLAGS_value=
ac_cv_env_CPP_set=
ac_cv_env_CPP_value=
ac_cv_env_CXXFLAGS_set=set
ac_cv_env_CXXFLAGS_value='-march=core-avx-i -O2 -pipe'
ac_cv_env_CXX_set=
ac_cv_env_CXX_value=
ac_cv_env_LDFLAGS_set=set
ac_cv_env_LDFLAGS_value='-Wl,-O1 -Wl,--as-needed'
ac_cv_env_LIBS_set=
ac_cv_env_LIBS_value=
ac_cv_env_XMKMF_set=
ac_cv_env_XMKMF_value=
ac_cv_env_build_alias_set=set
ac_cv_env_build_alias_value=x86_64-pc-linux-gnu
ac_cv_env_host_alias_set=set
ac_cv_env_host_alias_value=x86_64-pc-linux-gnu
ac_cv_env_target_alias_set=
ac_cv_env_target_alias_value=
ac_cv_func___sincos=no
ac_cv_func_connect=yes
ac_cv_func_gethostbyname=yes
ac_cv_func_remove=yes
ac_cv_func_semtimedop=yes
ac_cv_func_shmat=yes
ac_cv_have_x='have_x=yes        ac_x_includes='\'''\''  ac_x_libraries='\'''\'''
ac_cv_header_X11_Xaw_XawInit_h=yes
ac_cv_header_X11_extensions_Xinerama_h=yes
ac_cv_header_ncurses_h=yes
ac_cv_header_readline_history_h=yes
ac_cv_header_readline_readline_h=yes
ac_cv_header_stdc=yes
ac_cv_header_sys_wait_h=yes
ac_cv_lib_ICE_IceConnectionNumber=yes
ac_cv_lib_Xaw_XawDialogGetValueString=yes
ac_cv_lib_Xinerama_XineramaQueryExtension=yes
ac_cv_lib_ncurses_initscr=yes
ac_cv_objext=o
ac_cv_path_AR=/usr/bin/ar
ac_cv_path_AWK=/usr/bin/awk
ac_cv_path_EGREP=/bin/egrep
ac_cv_path_FUSER=/bin/fuser
ac_cv_path_GREP=/bin/grep
ac_cv_path_INSMOD=/sbin/insmod
ac_cv_path_INSTALL=/usr/bin/install
ac_cv_path_IPCS=/usr/bin/ipcs
ac_cv_path_KILL=/bin/kill
ac_cv_path_LSMOD=/sbin/lsmod
ac_cv_path_MANDB=/usr/bin/mandb
ac_cv_path_MSGFMT=/usr/bin/msgfmt
ac_cv_path_PIDOF=/bin/pidof
ac_cv_path_PS=/bin/ps
ac_cv_path_PYTHON=/usr/bin/python
ac_cv_path_RMMOD=/sbin/rmmod
ac_cv_path_SED=/bin/sed
ac_cv_path_WHOAMI=/usr/bin/whoami
ac_cv_path_XGETTEXT=/usr/bin/xgettext
ac_cv_prog_CC=x86_64-pc-linux-gnu-gcc
ac_cv_prog_CPP='x86_64-pc-linux-gnu-gcc -E'
ac_cv_prog_CXX=x86_64-pc-linux-gnu-g++
ac_cv_prog_RANLIB=x86_64-pc-linux-gnu-ranlib
ac_cv_prog_cc_c89=
ac_cv_prog_cc_g=yes
ac_cv_prog_cxx_g=yes
ac_cv_prog_make_make_set=yes
ax_cv_cxx_compile_cxx11=no
ax_cv_cxx_compile_cxx11__std_cpp11=yes

## ----------------- ##
## Output variables. ##
## ----------------- ##

A2X=''
A2X_LATEX_ENCODING=''
AR='/usr/bin/ar'
ASCIIDOC=''
AUTODIRS=''
AWK='/usr/bin/awk'
BOOST_PYTHON_LIBS=''
BUILD_DOCS='no'
BUILD_DOCS_HTML=''
BUILD_DOCS_PDF=''
BUILD_PYTHON='yes'
BUILD_SYS='uspace'
BUILD_UDEV='yes'
CC='x86_64-pc-linux-gnu-gcc'
CFLAGS='-march=core-avx-i -O2 -pipe'
CONVERT=''
CPP='x86_64-pc-linux-gnu-gcc -E'
CPPFLAGS=''
CXX='x86_64-pc-linux-gnu-g++'
CXXFLAGS='-march=core-avx-i -O2 -pipe -std=c++11'
DATE='Mon Apr 27 19:04:01 CLT 2015'
DBLATEX=''
DEFAULT_NMLFILE='/usr/share/linuxcnc/linuxcnc.nml'
DEFS=''
DVIPNG=''
ECHO_C=''
ECHO_N='-n'
ECHO_T=''
EGREP='/bin/egrep'
EMC2VERSION='2.8.0~pre1'
EMC2_BIN_DIR='/usr/bin'
EMC2_HELP_DIR='/usr/share/doc/linuxcnc'
EMC2_HOME='/usr'
EMC2_ICON='linuxcncicon'
EMC2_IMAGE_DIR='/usr/share/linuxcnc'
EMC2_LANG_DIR='/usr/share/linuxcnc/tcl/msgs'
EMC2_LATENCY_SCRIPT='/usr/bin/latency-test'
EMC2_NCFILES_DIR='/usr/share/linuxcnc/ncfiles'
EMC2_RTLIB_DIR='/lib/modules/3.18.11-gentoo/rtai//linuxcnc'
EMC2_SCRIPT='/usr/bin/linuxcnc'
EMC2_SUFFIX=''
EMC2_TCL_DIR='/usr/lib/tcltk/linuxcnc'
EMC2_TCL_LIB_DIR='/usr/lib/tcltk/linuxcnc'
EXEEXT=''
EXT_RTFLAGS=''
FUSER='/bin/fuser'
GLIB_CFLAGS='-I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include '
GLIB_LIBS='-lglib-2.0 '
GREP='/bin/grep'
GS=''
GTK_CFLAGS=''
GTK_LIBS=''
GTK_VER=''
HALLIB_DIR='/usr/share/linuxcnc/hallib'
HAVE_CXX11='1'
HAVE_GNOMEPRINT=''
HAVE_LIBINTL=''
HAVE_LIBINTL_H=''
HAVE_LIBMODBUS3='yes'
HAVE_LIBUSB10='yes'
HAVE_LOCALE_H=''
HAVE_NCURSES='yes'
HAVE_READLINE='yes'
HAVE_XAW='yes'
HIDRAW_H_USABLE='yes'
INCLUDEPY='/usr/include/python2.7'
INSMOD='/usr/bin/linuxcnc_module_helper insert'
INSTALL='/usr/bin/install'
IPCS='/usr/bin/ipcs'
KERNELDIR=''
KERNEL_VERS=''
KILL='/bin/kill'
LANGUAGES=''
LDFLAGS='-Wl,-O1 -Wl,--as-needed'
LIBMODBUS_CFLAGS='-I/usr/include/modbus '
LIBMODBUS_LIBS='-lmodbus '
LIBOBJS=''
LIBPYTHON='python2.7'
LIBS=' -lXinerama '
LIBUDEV_CFLAGS=''
LIBUDEV_LIBS='-ludev '
LIBUSB10_CFLAGS='-I/usr/include/libusb-1.0 '
LIBUSB10_LIBS='-lusb-1.0 '
LINUXCNC_CONFIG_PATH='~/linuxcnc/configs:/usr/local/etc/linuxcnc/configs:/usr/share/doc/linuxcnc/examples/sample-configs'
LOCALEDIR=''
LSMOD='/sbin/lsmod'
LTLIBOBJS=''
MANDB='/usr/bin/mandb'
MODEXT='.so'
MODPATH_adeos=''
MODPATH_rtai_fifos=''
MODPATH_rtai_hal=''
MODPATH_rtai_ksched=''
MODPATH_rtai_math=''
MODPATH_rtai_sem=''
MODPATH_rtai_shm=''
MODULE_DIR='/lib/modules/3.18.11-gentoo/rtai/'
MSGFMT='/usr/bin/msgfmt'
NCURSES_LIBS='-lncurses'
OBJEXT='o'
PACKAGE='linuxcnc'
PACKAGE_BUGREPORT='emc-developers@lists.sourceforge.net'
PACKAGE_NAME='LinuxCNC'
PACKAGE_STRING='LinuxCNC 2.8.0~pre1'
PACKAGE_TARNAME='linuxcnc'
PACKAGE_URL=''
PACKAGE_VERSION='2.8.0~pre1'
PATH_SEPARATOR=':'
PDFLATEX=''
PIDOF='/bin/pidof'
PRELOAD_WORKAROUND=''
PS='/bin/ps'
PYTHON='/usr/bin/python'
PYTHON_CPPFLAGS='-I/usr/include/python2.7'
PYTHON_LIBS='-lpthread -ldl  -lutil'
RANLIB='x86_64-pc-linux-gnu-ranlib'
READLINE_LIBS='-lreadline'
REALTIME='/etc/init.d/realtime'
RIP_MODULE_DIR=''
RMMOD='/usr/bin/linuxcnc_module_helper remove'
RTAI=''
RTARCH='x86_64'
RTDIR='/var/tmp/portage/sci-misc/emc-9999/work/emc-9999/src'
RTFLAGS='-DUSPACE'
RTNAME=''
RTPREFIX='uspace'
RTS='uspace'
RUN_IN_PLACE='no'
SED='/bin/sed'
SET_MAKE=''
SHELL='/bin/sh'
SITEPY=''
SOURCE_HIGHLIGHT=''
TCLSH='/usr/bin/tclsh8.5'
TCL_CFLAGS='-I/usr/include -DUSE_TCL_STUBS'
TCL_DBGX=''
TCL_LIBS='-ltclstub8.5'
TK_CFLAGS='-I/usr/include '
TK_DBGX=''
TK_LIBS='-lX11 -lXss -lXext -lXft -lfontconfig -lfreetype  -lfontconfig  -ldl  -lieee -lm -ltk8.5'
USE_NLS='no'
WHOAMI='/usr/bin/whoami'
WISH='/usr/bin/wish8.5'
XAW_LIBS=' -lSM -lICE  -lX11 -lXaw -lXt'
XGETTEXT='/usr/bin/xgettext'
XMKMF=''
XSLTPROC=''
X_CFLAGS=''
X_EXTRA_LIBS=''
X_LIBS=''
X_PRE_LIBS=' -lSM -lICE'
ac_ct_CC=''
ac_ct_CXX=''
bindir='${exec_prefix}/bin'
build_alias='x86_64-pc-linux-gnu'
datadir='/usr/share'
datarootdir='${prefix}/share'
docdir='${datarootdir}/doc/${PACKAGE_TARNAME}'
dvidir='${docdir}'
exec_prefix='NONE'
host_alias='x86_64-pc-linux-gnu'
htmldir='${docdir}'
includedir='${prefix}/include'
infodir='/usr/share/info'
libdir='/usr/lib64'
libexecdir='${exec_prefix}/libexec'
localedir='${datarootdir}/locale'
localstatedir='/var/lib'
mandir='/usr/share/man'
oldincludedir='/usr/include'
pdfdir='${docdir}'
prefix='/usr'
program_transform_name='s,x,x,'
psdir='${docdir}'
sbindir='${exec_prefix}/sbin'
sharedstatedir='${prefix}/com'
sysconfdir='/etc'
target_alias=''

## ----------- ##
## confdefs.h. ##
## ----------- ##

/* confdefs.h */
#define PACKAGE_NAME "LinuxCNC"
#define PACKAGE_TARNAME "linuxcnc"
#define PACKAGE_VERSION "2.8.0~pre1"
#define PACKAGE_STRING "LinuxCNC 2.8.0~pre1"
#define PACKAGE_BUGREPORT "emc-developers@lists.sourceforge.net"
#define PACKAGE_URL ""
#define RTAPI_USPACE /**/
#define RTDIR "/var/tmp/portage/sci-misc/emc-9999/work/emc-9999/src"
#define HIDRAW_H_USABLE /**/
#define HAVE_LIBMODBUS3 yes
#define HAVE_LIBUSB10 yes
#define MODULE_EXT ".so"
#define EMC2_DEFAULT_NMLFILE "/usr/share/linuxcnc/linuxcnc.nml"
#define EMC2_DEFAULT_TOOLTABLE ""
#define EMC2_HOME "/usr"
#define EMC2_BIN_DIR "/usr/bin"
#define EMC2_TCL_DIR "/usr/lib/tcltk/linuxcnc"
#define EMC2_HELP_DIR "/usr/share/doc/linuxcnc"
#define EMC2_RTLIB_DIR "/lib/modules/3.18.11-gentoo/rtai//linuxcnc"
#define EMC2_LANG_DIR "/usr/share/linuxcnc/tcl/msgs"
#define EMC2_PO_DIR "/usr/share/locale"
#define EMC2_CONFIG_DIR ""
#define EMC2_NCFILES_DIR "/usr/share/linuxcnc/ncfiles"
#define EMC2_IMAGE_DIR "/usr/share/linuxcnc"
#define PRELOAD_WORKAROUND ""
#define HAVE_CXX11 1
#define STDC_HEADERS 1
#define HAVE_SYS_WAIT_H 1
#define HAVE_SEMTIMEDOP 1
#define HAVE_SINCOS 1
#define HAVE_X11_EXTENSIONS_XINERAMA_H 1
#define HAVE_LIBXINERAMA 1
#define HAVE_X11_XAW_XAWINIT_H 1
#define HAVE_LIBXAW 1
#define HAVE_READLINE_READLINE_H 1
#define HAVE_READLINE_HISTORY_H 1
#define HAVE_READLINE /**/
#define HAVE_NCURSES_H 1
#define HAVE_LIBNCURSES 1

configure: exit 1



Thank you!
Christian
Back to top
View user's profile Send private message
slis
n00b
n00b


Joined: 11 Oct 2010
Posts: 67
Location: Limanowa

PostPosted: Tue Apr 28, 2015 8:02 pm    Post subject: Reply with quote

Hi!

I've successfully built and using LinuxCNC on Gentoo, even on my regular daily-basis PC.

There are basically two version tested by me: Xenomai and RTAI, where if you want to use Xenomai kernel, you have to stick with Linuxcnc 2.6.3, and RTAI is used in latest LinuxCNC (right now I've tested it with 2.7). That's because Xenomai was developed in branch only and was abandoned (check also: machinekit, which I want to support soon). That's not a problem, but I had more problems to setup RTAI thatn Xenomai, but I've got better latency-test results with it.

If you're interested, check out https://sourceforge.net/projects/gentoocnc/
There are latest ebuild available there. Please give me a feedback, and let me know if you've any problems.

If you need some more info, let me know, I'll be happy to tell some more about.

Best regards,
Sławek


Edit:
When I've got some more tests ready, especially some users feedback, I'll add support to LinuxCNC in Gentoo directly, but it's too early for that right now IMO.
Back to top
View user's profile Send private message
magoscuro
n00b
n00b


Joined: 18 Mar 2005
Posts: 32
Location: Santiago de Chile

PostPosted: Sat May 02, 2015 1:51 pm    Post subject: Reply with quote

Hi Slis,

Thank you for your reply.

I've tried your overlay and I compiled linuxcnc without problems, i've also configured xenomai successfully (with userspace support).(I've to download genpatch manually as the ebuild didn't get them well from the repository)

This is the emerge of linuxcnc :

Code:
Calculating dependencies... done!
[ebuild   I   ~] sci-misc/linuxcnc-2.6.3_pre20141017::GentooCNC  USE="X gtk python usb xenomai -modbus -rt -rtai -simulator" PYTHON_TARGETS="python2_7" 0 KiB


I'm getting an error after passing the profile screen :

Code:
christian@malleco /usr $ linuxcnc
LINUXCNC - 2.6.0~pre
Machine configuration directory is '/home/christian/linuxcnc/configs/sim-1'
Machine configuration file is 'axis-iocontrolv2-demo-ubuntu8.04.ini'
Starting LinuxCNC...
iov2 -support-start-change started
halcmd loadusr iov2 -support-start-change started
task pid=3400
emcTaskInit: using builtin interpreter
Gtk-Message: Failed to load module "canberra-gtk-module"
Traceback (most recent call last):
  File "/usr/bin/gladevcp", line 45, in <module>
    import gladevcp.makepins
  File "/usr/lib64/python2.7/site-packages/gladevcp/__init__.py", line 1, in <module>
    from hal_pythonplugin import *
  File "/usr/lib64/python2.7/site-packages/gladevcp/hal_pythonplugin.py", line 24, in <module>
    from hal_gremlin import HAL_Gremlin
  File "/usr/lib64/python2.7/site-packages/gladevcp/hal_gremlin.py", line 30, in <module>
    import gremlin
  File "/usr/lib64/python2.7/site-packages/gremlin.py", line 31, in <module>
    import gtk.gtkgl.widget
ImportError: No module named gtkgl.widget
<commandline>:0: gladevcp exited without becoming ready
Embeded tab command "halcmd loadusr -Wn gladevcp gladevcp -c gladevcp -x 18874504 v2-tc-gtk212.ui" exited with error: 1
TCL error in asynchronous code:

    while executing
"140300423179472check_dynamic_tabs"
    ("after" script)
Shutting down and cleaning up LinuxCNC...
Cleanup done
LinuxCNC terminated with an error.  You can find more information in the log:
    /home/christian/linuxcnc_debug.txt
and
    /home/christian/linuxcnc_print.txt
as well as in the output of the shell command 'dmesg' and in the terminal


Do you know how to fix this?

Thank you!
Christian
Back to top
View user's profile Send private message
slis
n00b
n00b


Joined: 11 Oct 2010
Posts: 67
Location: Limanowa

PostPosted: Sun May 03, 2015 9:47 am    Post subject: Reply with quote

I'm out of home right now, so just quick guess: try to emerge x11-libs/gtkglext. Let me know if that helps.
Back to top
View user's profile Send private message
Petros
n00b
n00b


Joined: 28 Mar 2015
Posts: 50

PostPosted: Sat May 16, 2015 1:51 pm    Post subject: Reply with quote

Hey guys. I am working on an ebuild (linuxcnc) and I want to share it with you in order to discuss about it and linuxcnc in general.

I am not an expert on ebuilds and this one is about my fourth ebuild or so. The ebuild is incomplete and work fine with it's USE Flags and configure phase, but something goes wrong during the compilation process. But with exactly the same configure options, the source code (git) compiles fine in my ~ directory.

Anyway more on this later:

Code:

# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $
EAPI=5
inherit eutils git-2 flag-o-matic autotools base
DESCRIPTION="LinuxCNC is a software system for computer control of \
machines such as milling machines, lathes, plasma cutters etc."
HOMEPAGE="http://www.linuxcnc.org/"
SLOT="0"
KEYWORDS="**"
EGIT_REPO_URI="git://git.linuxcnc.org/git/linuxcnc.git"
SRC_URI=""
IUSE="doc +gtk modbus +nls +python +readline realtime +userspace-pci "
DEPEND="dev-tcltk/tclx
        dev-tcltk/bwidget
        dev-tcltk/tkimg
        dev-lang/tcl   
        dev-lang/tk:0
        gtk? ( x11-libs/gtk+ )
        x11-libs/fltk
        realtime? ( sys-kernel/rt-sources )
        dev-libs/boost
        readline? ( sys-libs/readline )
        python? ( dev-lang/python )
        modbus? ( dev-libs/libmodbus )"
RDEPEND=${DEPEND}

src_unpack(){
    git-2_src_unpack
}

src_configure(){
    local myconf
    if ! use realtime ; then
        myconf+=" --with-realtime=uspace "
    fi
   
    if ! use python ; then
        myconf+=" --disable-python"
    else
        myconf+=" --with-python=/usr/bin/python2.7 \
        --with-boost-python=boost_python-2.7 "
    fi
   
    if use doc ; then
        myconf+="--enable-build-documentation=pdf"
    fi
    cd ${S}/src
    ./autogen.sh
    econf \
    $(use_enable nls) \
    $(use_enable gtk) \
    $(use_with modbus libmodbus) \
    $(use_enable userspace-pci) \
    ${myconf}
}

src_compile(){
    cd ${S}/src
    emake -j1 || die "Compilation terminated abnormally"
   
}


=media-gfx/linuxcnc-9999
Back to top
View user's profile Send private message
Petros
n00b
n00b


Joined: 28 Mar 2015
Posts: 50

PostPosted: Sat Jun 25, 2016 9:21 pm    Post subject: Reply with quote

There is another one taken and modified slightly to find Boost::python[1], from booboo overlay:
Code:
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$

EAPI=5

PYTHON_COMPAT=( python2_7 )
PYTHON_REQ_USE="tk(+)"

inherit git-r3 eutils autotools-utils python-single-r1

DESCRIPTION="LinuxCNC controls CNC machines."
HOMEPAGE="http://linuxcnc.org/"
EGIT_REPO_URI="https://github.com/jepler/linuxcnc-mirror"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS=""
IUSE="+uspace +X +gtk gnome gstreamer license modbus usb"
REQUIRED_USE="${PYTHON_REQUIRED_USE}"

RDEPEND="
   virtual/libudev
   sys-libs/ncurses
   sys-libs/readline
   sys-devel/gettext
   dev-lang/tcl
   dev-lang/tk
   dev-tcltk/tclx
   dev-tcltk/tclreadline
   dev-tcltk/blt
   dev-tcltk/bwidget
   ${PYTHON_DEPS}
   dev-python/lxml[${PYTHON_USEDEP}]
   dev-python/numpy[${PYTHON_USEDEP}]
   dev-python/configobj[${PYTHON_USEDEP}]
   dev-libs/boost[python,${PYTHON_USEDEP}]
   modbus? (
      dev-libs/libmodbus
   )
   usb? (
      virtual/libusb
   )
   media-libs/mesa
   x11-apps/mesa-progs
   X? (
      x11-libs/libXaw
      dev-python/python-xlib[${PYTHON_USEDEP}]
   )
   gtk? (
      x11-libs/gtk+:2
      dev-python/pygtkglext[${PYTHON_USEDEP}]
      dev-python/pygtksourceview[${PYTHON_USEDEP}]
      x11-libs/vte[python,${PYTHON_USEDEP}]
   )
   gnome? (
      dev-python/gnome-python-base
      dev-util/glade[python]
      gnome-base/libgnomeprintui
   )
   gstreamer? (
      dev-python/gst-python:0.10
      media-libs/gst-plugins-base:0.10
   )
   || (
      net-analyzer/netcat
      net-analyzer/netcat6
   )
   sys-process/procps
   sys-process/psmisc
   net-firewall/iptables
   media-gfx/graphviz
"

DEPEND="${RDEPEND}"

S=$S/src

AUTOTOOLS_IN_SOURCE_BUILD=1

src_prepare() {
   epatch "${FILESDIR}/fixups.patch"
   eautoreconf
}

src_configure() {
   local myeconfargs=(
      '--with-boost-python=boost_python-2.7' ''
      $(usex license '--enable-non-distributable=yes' '')
      $(use_with X x)
      $(use_enable gtk)
      $(use_with modbus libmodbus)
      $(use_with usb libusb-1.0)
      $(usex uspace '--with-realtime=uspace' '')
   )
   autotools-utils_src_configure
}


Patch is provided under files directory
Code:
diff --git a/src/emc/rs274ngc/interp_setup.cc b/src/emc/rs274ngc/interp_setup.cc
index 2120991..7355c6c 100644
--- a/src/emc/rs274ngc/interp_setup.cc
+++ b/src/emc/rs274ngc/interp_setup.cc
@@ -179,7 +179,7 @@ setup_struct::setup_struct() :
 {
 }
 
-setup::~setup() {
+setup_struct::~setup_struct() {
     assert(!pythis || Py_IsInitialized());
     if(pythis) delete pythis;
 }
diff --git a/src/hal/user_comps/mb2hal/mb2hal.c b/src/hal/user_comps/mb2hal/mb2hal.c
index 1ba9a87..d46a43d 100644
--- a/src/hal/user_comps/mb2hal/mb2hal.c
+++ b/src/hal/user_comps/mb2hal/mb2hal.c
@@ -307,7 +307,6 @@ retCode get_tx_connection(const int this_mb_tx_num, int *ret_connected)
     mb_tx_t   *this_mb_tx;
     mb_link_t *this_mb_link;
     int        this_mb_link_num;
-    struct timeval timeout;
 
     if (this_mb_tx_num < 0 || this_mb_tx_num > gbl.tot_mb_tx) {
         ERR(gbl.init_dbg, "parameter out of range this_mb_tx_num[%d]", this_mb_tx_num);
@@ -357,16 +356,16 @@ retCode get_tx_connection(const int this_mb_tx_num, int *ret_connected)
     modbus_set_debug(this_mb_link->modbus, this_mb_tx->protocol_debug);
 
     //set response and byte timeout according to each mb_tx
-    timeout.tv_sec  = this_mb_tx->mb_response_timeout_ms / 1000;
-    timeout.tv_usec = (this_mb_tx->mb_response_timeout_ms % 1000) * 1000;
-    modbus_set_response_timeout(this_mb_link->modbus, &timeout);
+    modbus_set_response_timeout(this_mb_link->modbus,
+            this_mb_tx->mb_response_timeout_ms / 1000,
+            (this_mb_tx->mb_response_timeout_ms % 1000) * 1000);
     //DBG(this_mb_tx->cfg_debug, "mb_tx_num[%d] mb_links[%d] response timeout [%d] ([%d] [%d])",
     //    this_mb_tx_num, this_mb_tx->mb_link_num, this_mb_tx->mb_response_timeout_ms,
     //    (int) timeout.tv_sec, (int) timeout.tv_usec);
 
-    timeout.tv_sec  = this_mb_tx->mb_byte_timeout_ms / 1000;
-    timeout.tv_usec = (this_mb_tx->mb_byte_timeout_ms % 1000) * 1000;
-    modbus_set_byte_timeout(this_mb_link->modbus, &timeout);
+    modbus_set_byte_timeout(this_mb_link->modbus,
+            this_mb_tx->mb_byte_timeout_ms / 1000,
+            (this_mb_tx->mb_byte_timeout_ms % 1000) * 1000);
     //DBG(this_mb_tx->cfg_debug, "mb_tx_num[%d] mb_links[%d] byte timeout [%d] ([%d] [%d])",
     //    this_mb_tx_num, this_mb_tx->mb_link_num, this_mb_tx->mb_byte_timeout_ms,
     //    (int) timeout.tv_sec, (int) timeout.tv_usec);

fixups.patch

Try it out

[1] It may complain like this, unless boost::python's location is set
Code:
configure: error: boost::python is required to build LinuxCNC
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum